#ifndef _ECS_CHAMP_TYP_H_
#define _ECS_CHAMP_TYP_H_

/*============================================================================
 *  Prototypes des fonctions
 *   associees a la structure `ecs_champ_t' decrivant un champ
 *   et propres aux champs principaux de type "type geometrique"
 *============================================================================*/

/*
                      Code_Saturne version 1.3
                      ------------------------

  This file is part of the Code_Saturne Preprocessor, element of the
  Code_Saturne CFD tool.

  Copyright (C) 1999-2007 EDF S.A., France

  contact: saturne-support@edf.fr

  The Code_Saturne Preprocessor is free software; you can redistribute it
  and/or modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  The Code_Saturne Preprocessor is distributed in the hope that it will be
  useful, but WITHOUT ANY WARRANTY; without even the implied warranty
  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with the Code_Saturne Preprocessor; if not, write to the
  Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor,
  Boston, MA  02110-1301  USA
*/


/*============================================================================
 *                                 Visibilite
 *============================================================================*/

/*----------------------------------------------------------------------------
 *  Fichiers `include' librairie standard C
 *----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage global "Utilitaire"
 *----------------------------------------------------------------------------*/

#include "ecs_def.h"
#include "ecs_tab_glob.h"


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  des paquetages visibles
 *----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage courant
 *----------------------------------------------------------------------------*/

#include "ecs_champ_publ.h"


/*============================================================================
 *                       Prototypes de fonctions publiques
 *============================================================================*/

/*----------------------------------------------------------------------------
 *  Fonction qui reconstruit les types gometriques des faces  partir de
 *  leur connectivit
 *----------------------------------------------------------------------------*/

ecs_champ_t  *  ecs_champ_typ__cree_typ_fac
(
 ecs_champ_t  * champ_def_fac
) ;


/*----------------------------------------------------------------------------
 *  Fonction qui realise le tri des types geometriques
 *  La fonction affiche le nombre d'elements par type geometrique
 *----------------------------------------------------------------------------*/

ecs_tab_int_t ecs_champ_typ__trie
(
 ecs_champ_t * this_champ_typ_geo
) ;


/*----------------------------------------------------------------------------
 *  Fonction realisant l'heritage des valeurs du type geometrique d'un element
 *   sur les sous-elements issus de sa decomposition
 *----------------------------------------------------------------------------*/

ecs_champ_t * ecs_champ_typ__herite
(
       ecs_champ_t  *const champ_typ_elt       ,
       ecs_champ_t  *const champ_elt_def_sselt ,
 const ecs_int_t           nbr_sselt
) ;


#endif /* _ECS_CHAMP_TYP_H_ */
