#ifndef _ECS_RENUM_H_
#define _ECS_RENUM_H_

/*============================================================================
 *  Prototypes des fonctions de base
 *   associes  la structure `ecs_renum_t' dcrivant une renumrotation
 *============================================================================*/

/*
                      Code_Saturne version 1.3
                      ------------------------

  This file is part of the Code_Saturne Preprocessor, element of the
  Code_Saturne CFD tool.

  Copyright (C) 1999-2007 EDF S.A., France

  contact: saturne-support@edf.fr

  The Code_Saturne Preprocessor is free software; you can redistribute it
  and/or modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  The Code_Saturne Preprocessor is distributed in the hope that it will be
  useful, but WITHOUT ANY WARRANTY; without even the implied warranty
  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with the Code_Saturne Preprocessor; if not, write to the
  Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor,
  Boston, MA  02110-1301  USA
*/


/*============================================================================
 *                                 Visibilit
 *============================================================================*/

/*----------------------------------------------------------------------------
 *  Fichiers `include' librairie standard C
 *----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage global "Utilitaire"
 *----------------------------------------------------------------------------*/

#include "ecs_def.h"
#include "ecs_tab_glob.h"


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  des paquetages visibles
 *----------------------------------------------------------------------------*/

#include "ecs_maillage_publ.h"
#include "ecs_param_perio_glob.h"


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage courant
 *----------------------------------------------------------------------------*/

#include "ecs_renum_publ.h"


/*============================================================================
 *                       Prototypes de fonctions publiques
 *============================================================================*/

/*----------------------------------------------------------------------------
 *  Fonction qui cre une structure de renumrotation
 *----------------------------------------------------------------------------*/

ecs_renum_t * ecs_renum__cree
(
 void
) ;


/*----------------------------------------------------------------------------
 *  Fonction qui dtruit une structure de renumrotation
 *----------------------------------------------------------------------------*/

ecs_renum_t * ecs_renum__detruit
(
 ecs_renum_t *renum
) ;


/*----------------------------------------------------------------------------
 *  Fonction qui renvoie une structure ecs_tab_int_t correspondant aux
 *  numros de sous-domaine des cellules
 *----------------------------------------------------------------------------*/

ecs_tab_int_t ecs_renum__ret_num_domaine
(
 ecs_renum_t  * renum               /* --> Structure de renumerotation        */
) ;


/*----------------------------------------------------------------------------
 *  Fonction de decoupage de maillage
 *----------------------------------------------------------------------------*/

void ecs_renum__decoup
(
 ecs_renum_t  * renum     ,         /* --> Structure de renumerotation        */
 ecs_int_t      nbr_dom             /* --> Nombre de blocs apres decoupage    */
) ;


/*----------------------------------------------------------------------------
 *  Fonction de renumrotation des faces
 *----------------------------------------------------------------------------*/

void ecs_renum__connect_fac
(
 ecs_renum_t  * renum               /* --> Structure de renumrotation        */
) ;


/*----------------------------------------------------------------------------
 *  Fonction d'affichage des infos sur le domaine principal
 *----------------------------------------------------------------------------*/

void ecs_renum__print_info
(
 ecs_renum_t  * renum               /* --> Structure de renumrotation        */
) ;


/*----------------------------------------------------------------------------
 *  Fonction d'affichage des infos sur les sous-domaines
 *----------------------------------------------------------------------------*/

void ecs_renum__print_info_loc
(
 ecs_renum_t  * renum               /* --> Structure de renumrotation        */
) ;


#endif /* _ECS_RENUM_H_ */
