#ifndef _ECS_MED_PUBL_H_
#define _ECS_MED_PUBL_H_

/*============================================================================
 *  Dfinition de la structure `ecs_med_t' pour les entres ou sorties
 *   au format MED
 *============================================================================*/

/*
                      Code_Saturne version 1.3
                      ------------------------

  This file is part of the Code_Saturne Preprocessor, element of the
  Code_Saturne CFD tool.

  Copyright (C) 1999-2007 EDF S.A., France

  contact: saturne-support@edf.fr

  The Code_Saturne Preprocessor is free software; you can redistribute it
  and/or modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  The Code_Saturne Preprocessor is distributed in the hope that it will be
  useful, but WITHOUT ANY WARRANTY; without even the implied warranty
  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with the Code_Saturne Preprocessor; if not, write to the
  Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor,
  Boston, MA  02110-1301  USA
*/


/*============================================================================
 *                                 Visibilit
 *============================================================================*/

#include "ecs_config.h"

#if defined(HAVE_MED)


/*----------------------------------------------------------------------------
 *  Fichiers `include' librairie standard C
 *----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage global "Utilitaire"
 *----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  des paquetages visibles
 *----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage courant
 *----------------------------------------------------------------------------*/


/*============================================================================
 *                         Dfinitions d'numerations
 *============================================================================*/


/*============================================================================
 *                      Dfinitions de variables globales
 *============================================================================*/

/* Variables de dfinition de la version des librairies */

extern int  ecs_glob_med_ver_maj;
extern int  ecs_glob_med_ver_min;
extern int  ecs_glob_med_ver_rel;
extern int  ecs_glob_hdf5_ver_maj;
extern int  ecs_glob_hdf5_ver_min;
extern int  ecs_glob_hdf5_ver_rel;


/*============================================================================
 *                          Dfinitions de types
 *============================================================================*/

/* Structure dfinissant un cas MED                                           */

typedef struct _ecs_med_t ecs_med_t ;


/*============================================================================
 *                       Dfinition de macros
 *============================================================================*/


#endif /* HAVE_MED */

#endif /* _ECS_MED_PUBL_H_ */
