#ifndef _ECS_COMM_PRIV_H_
#define _ECS_COMM_PRIV_H_

/*============================================================================
 *  Dfinition prive de la structure _ecs_comm_t dcrivant un communicateur
 *============================================================================*/

/*
                      Code_Saturne version 1.3
                      ------------------------

  This file is part of the Code_Saturne Preprocessor, element of the
  Code_Saturne CFD tool.

  Copyright (C) 1999-2007 EDF S.A., France

  contact: saturne-support@edf.fr

  The Code_Saturne Preprocessor is free software; you can redistribute it
  and/or modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  The Code_Saturne Preprocessor is distributed in the hope that it will be
  useful, but WITHOUT ANY WARRANTY; without even the implied warranty
  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with the Code_Saturne Preprocessor; if not, write to the
  Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor,
  Boston, MA  02110-1301  USA
*/


/*============================================================================
 *                                 Visibilit
 *============================================================================*/

/*----------------------------------------------------------------------------
 *  Fichiers `include' librairie standard C ou BFT
 *----------------------------------------------------------------------------*/

#include <bft_file.h>


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage global "Utilitaire"
 *----------------------------------------------------------------------------*/

#include "ecs_def.h"


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  des paquetages visibles
 *----------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage courant
 *----------------------------------------------------------------------------*/

#include "ecs_comm_publ.h"


/*============================================================================
 *                            Dfinition de macros
 *============================================================================*/


/*============================================================================
 *                           Dfinition de structure
 *============================================================================*/

struct _ecs_comm_t {

  char            *nom         ; /* Nom du communicateur                      */

  bft_file_t      *fic         ; /* structure fichier associe                */

  ecs_comm_typ_t   type        ; /* Type de codage des donnes                */
  ecs_int_t        num_noeud   ; /* Num instance avec laquelle on comm (ou 0) */
  ecs_int_t        echo        ; /* Niveau d'impression des donnes           */

} ;


#endif /* _ECS_COMM_PRIV_H_ */
